steps:
  publish-container:
    image: woodpeckerci/plugin-docker-buildx:3.0.0
    secrets: [ docker_username, docker_password ]
    privileged: true
    group: docker
    settings:
      registry: https://git.sandbox.iuk.hdm-stuttgart.de
      repo: git.sandbox.iuk.hdm-stuttgart.de/grosse/jupyterhub
      dockerfile: Dockerfile
      tags: 2.0.0
      username: $DOCKER_USERNAME
      password: $DOCKER_PASSWORD
